CleanUp

Copyright © 2017 by Eugen Höglinger. All Rights Reserved.


Introduction

All important information about installation and operation is summarized here:

  • About CleanUp
  • System requirements
  • Installation
  • License Agreement
  • Disclaimer of liability
  • Copyright


About CleanUp

The CleanUp program is used to clean the Teamcenter client caches, as well as clean up the temporary directory.

It can run on its own or can be called from a batch script.

CleanUp has two functions:

  • Clean Teamcenter Client Cache.
  • Clean the temporary directory.

The temporary directory can be cleaned in two ways:

  • Clean up the whole temporary directory.
  • Clean up temporary NX files only.

There are two additional options for the temporary NX files:

    • Clean all NX files.
    • Just clean NX files that are older than n-days.


System requirements

  • Operating system Win10, Win8, Win7, Vista or XP (32- and 64-bit version)
  • Microsoft .NET Framework 4.5
  • Min. 520 KB free space on the hard drive


Installation

There is no installation routine for the installation.

You just need to copy the CleanUp folder to any directory.

To make the call easier, you can create a shortcut from the CleanUp.exe file on the desktop or from the Start menu of Windows.


License Agreement

The program is freeware. It is not restricted. It may be freely used and passed on until it is called again.


Disclaimer of liability

This software was tested extensively before the release. However, no guarantee can be given for the usability and faultlessness. Any liability for direct, indirect, consequential or consequential damages that may arise through the use of this program is excluded.


Copyright

All contents of this software package, in particular program code, texts, photographs, and graphics, are protected by copyright. Copyright is, unless expressly indicated otherwise, by Eugen Höglinger. Please ask me (eugen@hoeglinger.name) if you want to change the contents of the product, if only partially.

Anyone who violates the copyright law, is liable to prosecution. He is also charged with the costs and has to pay compensation for damages.

2017


Program interface

The program interface is divided into six areas.

Number | Area
 | Menu bar
 | Selection
 | Options temporary directory
 | Options NX-Files
 | Status
 | Action


Menu bar

The menu bar contains two menu items:

  • Action
  • Help


Action

The Action menu has two functions:

  • Start
  • Cancel

Both functions are identical to the functions on the program interface.


Start

After selecting the menu item Start, the cleanup action is executed.

As soon as the action is finished, a corresponding information window is display. After confirming the information, the program is terminated.

Note: You can only select the menu item if you have selected at least one point in the Selection area.


Cancel

If you select the Cancel menu item, the program will be terminated immediately, regardless of what you have previously set.


Logfile

By selecting this menu item, you can display the last generated log file in the editor. In the log file all files/directories are noted which could not be deleted.

If the log file is not found, an error message is shown. The following reasons prevent the log file from being found:

  • No log file exists because all files/directories have been deleted.
  • The log file itself has been deleted.
  • The log file has been moved in the meantime.

If the editor is not found, an error message is shown. In this case, you should check your Windows installation because the display uses the Windows Notepad.


Help

The Help menu item has two functions:

  • Help
  • Info


Help

Use this menu item to open this help.


Info

The Info function displays important information about the program:

  • The program name
  • The version nummer
  • The Disclaimer

Buttons

Close | Closes the dialog.
Export | You can use this button to export the disclaimer and save it in any location.


Selection

In the Selection area, you define which cleaning activities are to be carried out:

  • Teamcenter Client Cache
  • Temp directory


Teamcenter Client Cache

If you select Teamcenter Client Cache, the following actions are performed:

  • NX or Ideas is terminated.
  • Teamcenter is closed.
  • All Java processes are terminated.
  • The Teamcenter cache directory is deleted.
  • All temporary Teamcenter files and directories are deleted.


Temp directory

If you select Temp directory, the temporary directory is cleaned up. To specify which data to delete, use the following options:

  • The temporary directory to be deleted.
  • All files
  • NX-Files only


Options temporary directory

Optionen temporäres Verzeichnis

Use the options to specify:

  • The temporary directory
  • Edit the files


The temporary directory

Das temporäre Verzeichnis

In the input field, you can specify the full path of any temporary directory.

The default path is C:/temp.

Alternatively, you can click on the button [image] to the right of the input field and select any directory in the dialog.


Files

You can select which files to delete:

  • All files
  • NX-Files only

Note: If you select NX-files only, only files that are associated with NX will be deleted.


All files

Alle Dateien

If you selected this option, all files and directories in the temporary directory will be deleted.

Note: Files or directories that are currently in use are not deleted.


NX-Files only

If you have selected this option, only files that are associated with NX will be deleted.

The following files are defined as NX files:

  • *.prt
  • *.syslog
  • *.rolbin
  • *.plmxml
  • *.vvi
  • *_pal
  • *_jt.log
  • Log*.tmp
  • nx*.tmp
  • OC*.tmp
  • ugs_router*

You can also specify the age of the NX-files to be deleted.


Options NX-Files

Haben Sie die Option Nur NX-Dateien ausgewählt, dann können Sie in den NX-Temp Optionen mit den nachfolgend beschriebenen Optionen festlegen, wie alt die NX-Dateien sein müssen damit sie gelöscht werden.

If you selected the NX-files only option, in the NX-Temp options you can specify, how old the NX files must be to deleted.

  • All
  • Files older than n-days


All

If you select the All option, all NX files will be deleted, regardless of how old they are.


Files older than n-days

If you have selected files older than n-days, only NX files older than n-days are deleted.

You can select predefined values from the list or enter an arbitrary, integer, positive value.

Note: It has been helpful to delete only files older than 3 days. If errors occur, this also allows access to older log files.


Status

The Status area shows the current progress as progress bar.

Under the progress bar is shown which file or directory is being deleted.


Action

The Action area contains the two buttons:

  • Start
  • Cancel


Start

After clicking the Start button, the cleanup action is performed.

As soon as the action is finished, a corresponding information window is display. After confirming the information, the program is terminated.

Note: You can only select the button if you have selected at least one point in the Selection area.


Cancel

If you click the Cancel button, the program will be terminated immediately, regardless of what you have previously set.


Program call

Use the following steps to perform a cleanup:

  • Go to the program [image] by double-clicking.
  • Select the desired function.
  • Select appropriate options.
  • Start the cleanup by clicking the Start button.


Script call

In a batch script, you can call the program as follows:

CleanUp.exe [-cachefolder=<Cache-Verzeichnis>] [-tempfolder=<Temp-Verzeichnis> [-nxonly [-days=<Tage>]]]

You may have to enter the path in which the program is located before the program call.

The individual transfer parameters are described below:

Parameter | Optional | Description
-cachefolder=<Cache-Verzeichnis> | yes | Directory of the Teamcenter client caches whose content is to be deleted. If the value is not specified, no client cache files are deleted.
<Cache-Verzeichnis> | no | Full path of the Teamcenter client cache directory.
-tempfolder=<Temp-Verzeichnis> | yes | Temporary directory whose contents are to be deleted. If the value is not specified, no data is deleted from the temporary directory.
<Temp-Verzeichnis> | no | Full path of the temporary directory.
-nxonly | yes | Only NX files are deleted from the temporary directory. If the value is not specified, all files are deleted.
-days=<Tage> | yes | Deletes only files older than <days>. If the value is not specified, all files are deleted. If the value is specified, the value -nxonly must also be specified.
<Tage> | no | Specifies how many days a file must be at least old to be deleted.


Undeletable Files/Directories

It is not a program error if not all files or directories have been deleted.

There can be different reasons why files or directories can not be deleted, eg:

  • Missing rights
  • The file or directory is still in use
  • A directory is not completely empty
  • etc.

The names of the files or directories that could not be deleted are entered by the program into the text file CleanUp.log. The file is stored in the directory, which is defined as a temporary directory (usually C:/temp). The file is re-created each time CleanUp is started, or only when elements can not be deleted. Existing files are overwritten.

The CleanUp.txt file can be loaded with any text editor, e.g. Notepad, viewed and any further processing.